import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.Date;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import cn.hutool.cache.CacheUtil;
import cn.hutool.cache.impl.TimedCache;
import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.date.Week;
import cn.hutool.crypto.digest.MD5;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.api.enums.NoticeMessageTypeEnum;
import com.gic.haoban.manage.api.enums.content.MaterialReportType;
import com.gic.haoban.manage.api.util.notify.NoticeMessageUtil;
import com.gic.haoban.manage.service.entity.TabHaobanPreDealLog;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.apache.commons.lang3.time.DateUtils;
import org.junit.Test;


public class test {

    @Test
    public void test(){

        String data = "['ff8080817af2def7017b146da4d212c4',\n" +
                "\n" +
                "'ff808081767141ce01768e4351db5241',\n" +
                "\n" +
                "'ff808081720968af01720bd868a50667',\n" +
                "\n" +
                "'ff80808177da342c01784827f1286015',\n" +
                "\n" +
                "'ff80808170c508860170ce043892397d',\n" +
                "\n" +
                "'ff8080816b41649c016b4438805f0143',\n" +
                "\n" +
                "'ff80808180b3c54a0180bc3df3bb4bca',\n" +
                "\n" +
                "'ff8080815cac81ed015ce2faba3e6c32',\n" +
                "\n" +
                "'ff8080816106031401612afd63dc5243',\n" +
                "\n" +
                "'ff80808176ce0c7c0176f9baad6f046a',\n" +
                "\n" +
                "'ff8080817d95d32f017d99a06e294648',\n" +
                "\n" +
                "'ff808081831d7ef801833ada2ed620c5',\n" +
                "\n" +
                "'ff808081734de4c601735b9feafa2ec0',\n" +
                "\n" +
                "'ff8080815cac80ad015d2a4c27c61348',\n" +
                "\n" +
                "'ff8080816ed6a34f016f11d38ba97f87',\n" +
                "\n" +
                "'ff80808170d475700170e2781df41fa6',\n" +
                "\n" +
                "'ff80808164f666910164fe470c260103',\n" +
                "\n" +
                "'ff8080816a98156a016a9f946edf0cab',\n" +
                "\n" +
                "'ff8080818461df63018484e29574555b',\n" +
                "\n" +
                "'ff8080816ac136ab016ad84d769337b1',\n" +
                "\n" +
                "'ff8080817e8cae13017ef6153dd74570',\n" +
                "\n" +
                "'ff80808177da33a0017819e12bcf25b0',\n" +
                "\n" +
                "'ff8080817aaaebea017aae2b572b5c54',\n" +
                "\n" +
                "'1af58390681811e69d0818c58a146fd2',\n" +
                "\n" +
                "'ff8080816a36326c016a53380d8b5f52',\n" +
                "\n" +
                "'ff8080818004bdb7018020bd160663ef',\n" +
                "\n" +
                "'ff8080816d7d936b016da9fc8e9445ea',\n" +
                "\n" +
                "'ff8080817de7e230017debc5da0e6097',\n" +
                "\n" +
                "'ff80808184159ab60184322edc121ce8',\n" +
                "\n" +
                "'ff80808170d475700170e886898f2df6',\n" +
                "\n" +
                "'ff8080817a3e96a4017a796c7947641b',\n" +
                "\n" +
                "'ff808081767142530176881d0b287161',\n" +
                "\n" +
                "'ff80808183609d0f018382b58dfb5b7f',\n" +
                "\n" +
                "'ff808081861280af018630283bee3834',\n" +
                "\n" +
                "'2c283b49642911e69d0818c58a146fd2',\n" +
                "\n" +
                "'ff808081748d322f0174c4108ab84a5e',\n" +
                "\n" +
                "'ff808081678951090167a159020155c6',\n" +
                "\n" +
                "'ff8080816c00831b016c3ce77c8c672e',\n" +
                "\n" +
                "'3115714d847811e69d0818c58a146fd2',\n" +
                "\n" +
                "'ff8080816dd038d8016dd94f50831a2c',\n" +
                "\n" +
                "'ff8080816c50274d016c504543400021',\n" +
                "\n" +
                "'ff80808184159996018432569fdd7740',\n" +
                "\n" +
                "'ff808081748d33e60174c3e1db3c4353',\n" +
                "\n" +
                "'ff8080817c2ce9ff017c5db0cff843d9',\n" +
                "\n" +
                "'ff8080816bb870ae016bbc178a320fa3',\n" +
                "\n" +
                "'ff808081713b6f9501713e09f130058e',\n" +
                "\n" +
                "'ff8080816eb296ec016ec9d9c8f900de',\n" +
                "\n" +
                "'ff80808166c07a0c0166c8f86ea6054b',\n" +
                "\n" +
                "'ff8080816287452b01628a3b82220e66',\n" +
                "\n" +
                "'ff8080816613cef00166142070d50049',\n" +
                "\n" +
                "'ff8080818004bedc01800818ed385c27',\n" +
                "\n" +
                "'ff8080816b8f4215016bacda49c15af1',\n" +
                "\n" +
                "'ff80808169e3c7e20169fc5526933082',\n" +
                "\n" +
                "'ff80808169b593d60169c7ff8ad7584b',\n" +
                "\n" +
                "'ff80808163a84edb0163aee389832ed4']";
        String json = StringUtils.replaceAll(data, "\\n", "");
        List<String> sourceEnterpriseId = JSON.parseArray(json, String.class);
        System.out.println("源数据总数: " + sourceEnterpriseId.size());
        String replaceData = "[\"ff8080817d95d32f017d99a06e294648\",\"ff80808169e3c7e20169fc5526933082\",\"ff8080816a36326c016a53380d8b5f52\",\"3115714d847811e69d0818c58a146fd2\",\"ff8080817a3e96a4017a796c7947641b\",\"ff8080815cac80ad015d2a4c27c61348\",\"ff808081767141ce01768e4351db5241\",\"ff8080815c1206fa015c1554c27701b3\",\"ff808081748d34750174dcdce6be13b2\",\"ff80808180b3c54a0180bc3df3bb4bca\",\"ff8080817aaaebea017ac811737d0de5\",\"ff8080816dd038d8016dd94f50831a2c\",\"ff8080816ed6a34f016f11d38ba97f87\",\"ff80808169b593d60169c7ff8ad7584b\",\"1af58390681811e69d0818c58a146fd2\",\"ff8080816a98156a016a9f946edf0cab\",\"ff8080816c00831b016c3ce77c8c672e\",\"ff808081748d33e60174c3e1db3c4353\",\"ff80808177da33a0017819e12bcf25b0\",\"ff808081831d7ef801833ada2ed620c5\",\"ff80808163cb93740163ce79544600d0\"]";
        List<String> replaceEnterpriseIds = JSON.parseArray(replaceData, String.class);

        sourceEnterpriseId.removeAll(replaceEnterpriseIds);
        System.out.println("删除后企业ID数: " + sourceEnterpriseId.size());
        System.out.println(JSON.toJSONString(sourceEnterpriseId));
    }

}
